Subject: [Sigtran] How to stop an sctp sender with zero A_rwnd

From: Mohammad Arif <[email-masked]>
Date: Wed, 29 Jul 2009 17:40:50 +0800

Hi All
I m running my SCTP client with linux kernel sctp server.
I m sending SACK with A_rwnd size as zero for all DATA chunks,but the sender
still keeps on sending me DATA chunks.
As i have send A_Rwnd as zero, the peer  should stop sending me DATA chunks
?
Is my understanding wrong?

Please clarify
Thanks

-- 
Regards
Mohammad Arif

---

From: <[email-masked]>
Date: Wed, 29 Jul 2009 17:55:25 +0800

Hi Arif,
 
Please check out Section 6.1 of RFC 4960.
If you refer above section you can see why Sender is still sending DATA
Chunks.
 
Regards,
Yatharth

________________________________

From: [email-masked] [mailto:[email-masked]] On
Behalf Of Mohammad Arif
Sent: Wednesday, July 29, 2009 3:11 PM
To: [email-masked]
Subject: [Sigtran] How to stop an sctp sender with zero A_rwnd

Hi All
I m running my SCTP client with linux kernel sctp server.
I m sending SACK with A_rwnd size as zero for all DATA chunks,but the
sender still keeps on sending me DATA chunks.
As i have send A_Rwnd as zero, the peer  should stop sending me DATA
chunks ?
Is my understanding wrong?

Please clarify
Thanks

-- 
Regards
Mohammad Arif

---

From: Michael Tüxen <[email-masked]>
Date: Wed, 29 Jul 2009 13:56:43 +0200

Dear Mohammad,

Maybe your peer is doing zero window probing?

Best regards
Michael

On Jul 29, 2009, at 11:40 AM, Mohammad Arif wrote:

> I m sending SACK with A_rwnd size as zero for all DATA chunks,but  
> the sender still keeps on sending me DATA chunks.
> Mohammad Arif _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sigtran